#!/root/.kodi/addons/script.service.SendCanToFIS/addon.py

from __future__ import print_function
import globalvars # globalvars.py
import xbmc
import xbmcaddon
import xbmcgui
import xbmcplugin
import os
import sys
import binascii
import datetime
import subprocess
import re
import time
import threading
import string

from sendcan import sendcan #sendcan.py
from dumpcan import dumpcan #dumpcan.py
from midfis import midfisfunctions #midfis.py
from minors import mount_usb, getsettings, setlistpos, setvolume, getserialfile, getserial, berekentemp, setDefaults, setdevdefaults, founderror, Sswitch # minors.py

from time import strftime,localtime,sleep,gmtime
from threading import Thread, Timer

#Static variables
__supportCanSend__ = "true" #Set this to "off" for disable all can-send commands / "true" is enable


# Timing-loop voor; getsettings, setlistpos, sendcan, mount_usb en setvolume
def timings1():
	try:

		globalvars.setting8 = __supportCanSend__
		x=0
		y=0
		z=0

		setdevdefaults() # eenmalig
		while globalvars.var==1:
			while y<3:
				if(z==1):
					setDefaults()
				getsettings() # elke 1.5 seconden
				setlistpos()
				berekentemp(globalvars.hextemp)
				while x<3:
					if (globalvars.setting8=="true"):
						sendcan() # elke 0.5 seconden
					sleep(0.5)
					x+=1
				x=0
				y+=1
				if(z==0):
					z+=1
			mount_usb() # elke 4.5 seconden
			#setvolume()
			y=0

	except Exception,e:
		founderror("mnr-tm1",str(e))

# MIDFIS heeft een asynchrone / eigen 'timing' loop
def timings2():
	try:
		while globalvars.var==1:
			midfisfunctions()
			sleep(0.15)
	except Exception,e:
		founderror("mnr-tm2",str(e))

# Hier wordt de initiele timer getriggerd en alle functies - parallel - aangeroepen
if __name__ == '__main__':
	xbmc.executebuiltin("ActivateWindow(Home)")
	Thread(target = dumpcan).start()
	Thread(target = timings1).start()
	Thread(target = timings2).start()
	Thread(target = Sswitch).start()
